#!/usr/bin/env python3
# -*- coding: utf-8 -*-
"""
Created on Sat May  9 23:18:09 2020

@author: francois
"""

questions_entite = {
    'adresse': [
        {
             'type': 'input',
             'name': 'numero_civique',
             'message': 'numero_civique'
         },
        {
             'type': 'list',
             'name': 'type_rue',
             'message': 'type_rue',
             'choices': [
                 'rue',
                 'avenue',
                 'boulevard',
                 'chemin'
                 'route'
                 ''
                 ]
         },
        {
             'type': 'input',
             'name': 'nom_rue',
             'message': 'nom_rue'
         },
        {
             'type': 'input',
             'name': 'code_postal',
             'message': 'code_postal'
         },
        {
             'type': 'input',
             'name': 'ville',
             'message': 'ville'
         }
        ],
    'association': [
        {
             'type': 'input',
             'name': 'nom',
             'message': 'nom'
         },
        {
             'type': 'input',
             'name': 'sigle',
             'message': 'sigle'
         },
        {
             'type': 'list',
             'name': 'type',
             'message': 'type',
             'choices': [
                 'groupe d\'utilisateurs',
                 'groupe de développeurs',
                 'réseautage et évenementiel',
                 'atelier ou fablab',
                 'formation',
                 'bienfaisance',
                 'autre'
                 ]
         },
        {
             'type': 'text',
             'name': 'description',
             'message': 'description'
         },
        {
             'type': 'input',
             'name': 'date_fondation',
             'message': 'date_fondation'
         },
        {
             'type': 'input',
             'name': 'date_fermeture',
             'message': 'date_fermeture'
         }
        ],
    'coordonnees': [
        {
             'type': 'list',
             'name': 'coord_type',
             'message': 'coord_type',
             'choices': [
                 'url',
                 'courriel',
                 'telephone',
                 'fax'
                 ]
         },
        {
             'type': 'input',
             'name': 'coord_contenu',
             'message': 'coord_contenu'
         }
        ],
    'cours': [
        {
             'type': 'input',
             'name': 'numero',
             'message': 'numero'
         },
        {
             'type': 'input',
             'name': 'nom',
             'message': 'nom'
         },
        {
             'type': 'text',
             'name': 'description',
             'message': 'description'
         }
        ],
    'etablissement': [
        {
             'type': 'input',
             'name': 'nom',
             'message': 'nom'
         }
        ],
    'evenement': [
        {
             'type': 'input',
             'name': 'nom',
             'message': 'nom'
         },
        {
             'type': 'input',
             'name': 'date_debut',
             'message': 'date_debut'
         },
        {
             'type': 'input',
             'name': 'date_fin',
             'message': 'date_fin'
         },
        {
             'type': 'list',
             'name': 'est_recurrent',
             'message': 'est_recurrent',
             'choices': ['O', 'N']
         },
        {
             'type': 'input',
             'name': 'detail_recurrence',
             'message': 'detail_recurrence'
         },
        {
             'type': 'input',
             'name': 'premiere_date',
             'message': 'premiere_date'
         },
        {
             'type': 'text',
             'name': 'description',
             'message': 'description'
         }
        ],
    'licence': [
        {
             'type': 'input',
             'name': 'nom',
             'message': 'nom'
         },
        {
             'type': 'input',
             'name': 'sigle',
             'message': 'sigle'
         }
        ],
    'logo': [
        {
             'type': 'input',
             'name': 'logo_url',
             'message': 'logo_url'
         }
        ],
    'personne': [
        {
             'type': 'input',
             'name': 'nom',
             'message': 'nom'
         },
        {
             'type': 'input',
             'name': 'prenom',
             'message': 'prenom'
         }
        ],
    'projet': [
        {
             'type': 'input',
             'name': 'nom',
             'message': 'nom'
         },
        {
             'type': 'text',
             'name': 'description',
             'message': 'description'
         }
        ]
    }
