
--
-- TABLE: association
-- 
--  

CREATE TABLE association (
  assoc_id serial NOT NULL ,
  date_saisie date NOT NULL ,
  nom character varying NOT NULL ,
  sigle character varying,
  type character varying,
  description character varying,
  date_fondation date,
  date_fermeture date
);
CREATE SEQUENCE association_assoc_id_seq START 1 INCREMENT 1 ;
ALTER TABLE association ALTER COLUMN assoc_id SET NOT 0;
ALTER TABLE association ALTER COLUMN assoc_id SET DEFAULT nextval('association_assoc_id_seq');

-- 
ALTER TABLE association ADD CONSTRAINT primaire_assoc_id PRIMARY KEY (assoc_id);

CREATE INDEX association_assoc_id_index  ON association(assoc_id);
