
--
-- TABLE: association_adresse
-- 
--  

CREATE TABLE association_adresse (
  assoc_id integer NOT NULL ,
  adresse_id integer NOT NULL ,
  description character varying NOT NULL 
);

-- 
ALTER TABLE association_adresse ADD CONSTRAINT association_adresse_adresse FOREIGN KEY (adresse_id) REFERENCES adresse(serial) ON UPDATE CASCADE ON DELETE CASCADE;

-- 
ALTER TABLE association_adresse ADD CONSTRAINT nouvelle_contrainte_clé_étrangère FOREIGN KEY (assoc_id) REFERENCES association(assoc_id) ON UPDATE CASCADE ON DELETE CASCADE;

CREATE INDEX association_adresse_assoc_id_index  ON association_adresse(assoc_id);

CREATE INDEX association_adresse_adresse_id_index  ON association_adresse(adresse_id);
