
--
-- TABLE: evenement
-- 
--  

CREATE TABLE evenement (
  event_id integer NOT NULL ,
  nom character varying NOT NULL ,
  date_debut date NOT NULL ,
  date_fin date NOT NULL ,
  est_recurrent integer NOT NULL  DEFAULT 0,
  detail_recurrence character varying,
  premiere_date date,
  description character varying
);
CREATE SEQUENCE evenement_event_id_seq START 1 INCREMENT 1 ;
ALTER TABLE evenement ALTER COLUMN event_id SET NOT 0;
ALTER TABLE evenement ALTER COLUMN event_id SET DEFAULT nextval('evenement_event_id_seq');

-- 
ALTER TABLE evenement ADD CONSTRAINT primaire_event_id PRIMARY KEY (event_id);

CREATE INDEX evenement_event_id_index  ON evenement(event_id);
