
--
-- TABLE: evenement_personne
-- 
--  

CREATE TABLE evenement_personne (
  event_id integer NOT NULL ,
  pers_id integer NOT NULL ,
  description character varying
);

-- 
ALTER TABLE evenement_personne ADD CONSTRAINT evenement_personne_evenement FOREIGN KEY (event_id) REFERENCES evenement(event_id) ON UPDATE CASCADE ON DELETE CASCADE;

-- 
ALTER TABLE evenement_personne ADD CONSTRAINT evenement_personne_personne FOREIGN KEY (pers_id) REFERENCES personne(pers_id) ON UPDATE CASCADE ON DELETE CASCADE;

CREATE INDEX evenement_personne_event_id_index  ON evenement_personne(event_id);

CREATE INDEX evenement_personne_pers_id_index  ON evenement_personne(pers_id);
