
--
-- TABLE: association_coordonnees
-- 
--  

CREATE TABLE association_coordonnees (
  assoc_id integer NOT NULL ,
  coord_id integer NOT NULL ,
  description character varying NOT NULL 
);

-- 
ALTER TABLE association_coordonnees ADD CONSTRAINT association_coordonnees_association FOREIGN KEY (assoc_id) REFERENCES association(assoc_id) ON UPDATE CASCADE ON DELETE CASCADE;

-- 
ALTER TABLE association_coordonnees ADD CONSTRAINT association_coordonnees_coordonnees FOREIGN KEY (coord_id) REFERENCES coordonnees(coord_id) ON UPDATE CASCADE ON DELETE CASCADE;

CREATE INDEX association_coordonnees_assoc_id_index  ON association_coordonnees(assoc_id);

CREATE INDEX association_coordonnees_coord_id_index  ON association_coordonnees(coord_id);
