
--
-- TABLE: cours_etablissement
-- 
--  

CREATE TABLE cours_etablissement (
  cours_id integer NOT NULL ,
  etabl_id integer NOT NULL ,
  description character varying NOT NULL 
);

-- 
ALTER TABLE cours_etablissement ADD CONSTRAINT cours_etablissement_cours FOREIGN KEY (cours_id) REFERENCES cours(cours_id) ON UPDATE CASCADE ON DELETE CASCADE;

-- 
ALTER TABLE cours_etablissement ADD CONSTRAINT cours_etablissement_etablissement FOREIGN KEY (etabl_id) REFERENCES etablissement(etabl_id) ON UPDATE CASCADE ON DELETE CASCADE;

CREATE INDEX cours_etablissement_cours_id_index  ON cours_etablissement(cours_id);

CREATE INDEX cours_etablissement_etabl_id_index  ON cours_etablissement(etabl_id);
