
--
-- TABLE: etablissement_coordonnees
-- 
--  

CREATE TABLE etablissement_coordonnees (
  etabl_id integer NOT NULL ,
  coord_id integer NOT NULL ,
  description character varying NOT NULL 
);

-- 
ALTER TABLE etablissement_coordonnees ADD CONSTRAINT etablissement_coordonnees_etablissement FOREIGN KEY (etabl_id) REFERENCES etablissement(etabl_id) ON UPDATE CASCADE ON DELETE CASCADE;

-- 
ALTER TABLE etablissement_coordonnees ADD CONSTRAINT etablissement_coordonnees_coordonnees FOREIGN KEY (coord_id) REFERENCES coordonnees(coord_id) ON UPDATE CASCADE ON DELETE CASCADE;

CREATE INDEX etablissement_coordonnees_etabl_id_index  ON etablissement_coordonnees(etabl_id);

CREATE INDEX etablissement_coordonnees_coord_id_index  ON etablissement_coordonnees(coord_id);
