
--
-- TABLE: evenement_association
-- 
--  

CREATE TABLE evenement_association (
  event_id integer NOT NULL ,
  assoc_id integer NOT NULL ,
  description character varying NOT NULL 
);

-- 
ALTER TABLE evenement_association ADD CONSTRAINT evenement_association_evenement FOREIGN KEY (event_id) REFERENCES evenement(event_id) ON UPDATE CASCADE ON DELETE CASCADE;

-- 
ALTER TABLE evenement_association ADD CONSTRAINT evenement_association_association FOREIGN KEY (assoc_id) REFERENCES association(assoc_id) ON UPDATE CASCADE ON DELETE CASCADE;

CREATE INDEX evenement_association_event_id_index  ON evenement_association(event_id);

CREATE INDEX evenement_association_assoc_id_index  ON evenement_association(assoc_id);
