
--
-- TABLE: evenement_etablissement
-- 
--  

CREATE TABLE evenement_etablissement (
  event_id integer NOT NULL ,
  etabl_id integer NOT NULL ,
  description character varying NOT NULL 
);

-- 
ALTER TABLE evenement_etablissement ADD CONSTRAINT evenement_etablissement_evenement FOREIGN KEY (event_id) REFERENCES evenement(event_id) ON UPDATE CASCADE ON DELETE CASCADE;

-- 
ALTER TABLE evenement_etablissement ADD CONSTRAINT evenement_etablissement_etablissement FOREIGN KEY (etabl_id) REFERENCES etablissement(etabl_id) ON UPDATE CASCADE ON DELETE CASCADE;

CREATE INDEX evenement_etablissement_event_id_index  ON evenement_etablissement(event_id);

CREATE INDEX evenement_etablissement_etabl_id_index  ON evenement_etablissement(etabl_id);
