
--
-- TABLE: projet_personne
-- 
--  

CREATE TABLE projet_personne (
  projet_id integer NOT NULL ,
  pers_id integer NOT NULL ,
  description character varying NOT NULL 
);

-- 
ALTER TABLE projet_personne ADD CONSTRAINT projet_personne_projet FOREIGN KEY (projet_id) REFERENCES projet(projet_id) ON UPDATE CASCADE ON DELETE CASCADE;

-- 
ALTER TABLE projet_personne ADD CONSTRAINT projet_personne_personne FOREIGN KEY (pers_id) REFERENCES personne(pers_id) ON UPDATE CASCADE ON DELETE CASCADE;

CREATE INDEX projet_personne_projet_id_index  ON projet_personne(projet_id);

CREATE INDEX projet_personne_pers_id_index  ON projet_personne(pers_id);
